Skip to main content
PATCH
/
cdr
/
v1
/
clinic
/
{clinic_id}
/
Update Clinic
curl --request PATCH \
  --url https://api.eka.care/cdr/v1/clinic/{clinic_id}/ \
  --header 'Content-Type: application/json' \
  --header 'auth: <auth>' \
  --data '
{
  "address": "456 New Street, Block B",
  "contact": "9876543210",
  "doctor_ids": [
    "do1769174683513"
  ]
}
'
import requests

url = "https://api.eka.care/cdr/v1/clinic/{clinic_id}/"

payload = {
"address": "456 New Street, Block B",
"contact": "9876543210",
"doctor_ids": ["do1769174683513"]
}
headers = {
"auth": "<auth>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {auth: '<auth>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '456 New Street, Block B',
contact: '9876543210',
doctor_ids: ['do1769174683513']
})
};

fetch('https://api.eka.care/cdr/v1/clinic/{clinic_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "ekaid": "c-ab2c-34f2d-2gwd-2g2g"
}
{
"status": "error",
"message": "Clinic ID is required for PATCH"
}
{
"status": "error",
"message": "Clinic not found"
}

Headers

auth
string
required

The auth token of the business. It is used to authenticate the client. This should be fetched from auth api.

Example:

"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM"

Path Parameters

clinic_id
string
required

Clinic's Eka ID

Example:

"c-ab2c-34f2d-2gwd-2g2g"

Body

application/json

Fields to update on the clinic. All fields are optional.

name
string
Example:

"Sunrise Clinic"

address
string
Example:

"123 Main Street, Block A"

partner_id
string
Example:

"Clinic_321_Indore"

pincode
string
Example:

"560001"

contact
string
Pattern: ^\d{10,11}$
Example:

"9876543210"

doctor_ids
string[]

Add these Eka doctor IDs to the clinic's existing doctor associations

Example:
["do1769174683513"]
partner_doctor_ids
string[]

Add doctors matching these partner IDs to the clinic's existing doctor associations

Example:
["Part_Doc_1"]
city
string
Example:

"Bangalore"

state
string
Example:

"Karnataka"

Response

OK - Clinic updated successfully

status
string
Example:

"success"

ekaid
string
Example:

"c-ab2c-34f2d-2gwd-2g2g"